Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.frontbase
Class FrontBasePkGenerator

    java.lang.Object
      org.apache.cayenne.dba.JdbcPkGenerator
          org.apache.cayenne.dba.frontbase.FrontBasePkGenerator

All Implemented Interfaces:
  PkGenerator

    public class FrontBasePkGenerator

extends JdbcPkGenerator

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`DEFAULT_PK_CACHE_SIZE, pkCache, pkCacheSize`

Constructor Summary
`FrontBasePkGenerator()` Deprecated. since 3.0
`FrontBasePkGenerator(JdbcAdapter adapter)`

Method Summary
`void` | `createAutoPk(DataNode node, List<DbEntity> dbEntities)` Generates necessary database objects to provide automatic primary key support.
`List<String>` | `createAutoPkStatements(List<DbEntity> dbEntities)` Returns a list of SQL strings needed to generates database objects to provide automatic primary support for the list of entities.
`void` | `dropAutoPk(DataNode node, List<DbEntity> dbEntities)` Drops table named "AUTO_PK_SUPPORT" if it exists in the database.
`protected String` | `dropAutoPkString()`
`int` | `getPkCacheSize()` Retruns zero as PK caching is not supported by FrontBaseAdapter.
`protected long` | `longPkFromDatabase(DataNode node, DbEntity entity)` Performs primary key generation ignoring cache.
`protected String` | `pkCreateString(String entName)`
`protected String` | `pkDeleteString(List<DbEntity> dbEntities)`
`protected int` | `pkFromDatabase(DataNode node, DbEntity entity)` Deprecated. since 3.0
`protected String` | `pkSelectString(String entName)`
`protected String` | `pkTableCreateString()`
`protected String` | `pkUpdateString(String entName)`

Methods inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`autoPkTableExists, binaryPK, dropAutoPkStatements, generatePk, generatePkForDbEntity, getAdapter, reset, runUpdate, setPkCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrontBasePkGenerator

    public FrontBasePkGenerator()

  Deprecated. since 3.0

### FrontBasePkGenerator

    public FrontBasePkGenerator(JdbcAdapter adapter)

Method Detail

### getPkCacheSize

    public int getPkCacheSize()

  Retruns zero as PK caching is not supported by FrontBaseAdapter.

  Overrides:
    `getPkCacheSize` in class `JdbcPkGenerator`

### createAutoPk

    public void createAutoPk(DataNode node,
                             List<DbEntity> dbEntities)
                      throws Exception

  Description copied from interface: `PkGenerator`
  Generates necessary database objects to provide automatic primary key support.

  Specified by:
    `createAutoPk` in interface `PkGenerator`
  Overrides:
    `createAutoPk` in class `JdbcPkGenerator`
  Parameters:
    `node` - node that provides access to a DataSource.
    `dbEntities` - a list of entities that require primary key auto-generation support
  Throws:
    `Exception`

### createAutoPkStatements

    public List<String> createAutoPkStatements(List<DbEntity> dbEntities)

  Description copied from interface: `PkGenerator`
  Returns a list of SQL strings needed to generates database objects to provide automatic primary support for the list of entities. No actual database operations are performed.

  Specified by:
    `createAutoPkStatements` in interface `PkGenerator`
  Overrides:
    `createAutoPkStatements` in class `JdbcPkGenerator`

### dropAutoPk

    public void dropAutoPk(DataNode node,
                           List<DbEntity> dbEntities)
                    throws Exception

  Description copied from class: `JdbcPkGenerator`
  Drops table named "AUTO_PK_SUPPORT" if it exists in the database.

  Specified by:
    `dropAutoPk` in interface `PkGenerator`
  Overrides:
    `dropAutoPk` in class `JdbcPkGenerator`
  Parameters:
    `node` - node that provides access to a DataSource.
    `dbEntities` - a list of entities whose primary key auto-generation support should be dropped.
  Throws:
    `Exception`

### pkTableCreateString

    protected String pkTableCreateString()

  Overrides:
    `pkTableCreateString` in class `JdbcPkGenerator`

### pkDeleteString

    protected String pkDeleteString(List<DbEntity> dbEntities)

  Overrides:
    `pkDeleteString` in class `JdbcPkGenerator`

### pkCreateString

    protected String pkCreateString(String entName)

  Overrides:
    `pkCreateString` in class `JdbcPkGenerator`

### pkSelectString

    protected String pkSelectString(String entName)

  Overrides:
    `pkSelectString` in class `JdbcPkGenerator`

### pkUpdateString

    protected String pkUpdateString(String entName)

  Overrides:
    `pkUpdateString` in class `JdbcPkGenerator`

### dropAutoPkString

    protected String dropAutoPkString()

  Overrides:
    `dropAutoPkString` in class `JdbcPkGenerator`

### longPkFromDatabase

    protected long longPkFromDatabase(DataNode node,
                                      DbEntity entity)
                               throws Exception

  Description copied from class: `JdbcPkGenerator`
  Performs primary key generation ignoring cache. Generates a range of primary keys as specified by "pkCacheSize" bean property.

  This method is called internally from "generatePkForDbEntity" and then generated range of key values is saved in cache for performance. Subclasses that implement different primary key generation solutions should override this method, not "generatePkForDbEntity".

  Overrides:
    `longPkFromDatabase` in class `JdbcPkGenerator`
  Throws:
    `Exception`
  Since:
    3.0

### pkFromDatabase

    protected int pkFromDatabase(DataNode node,
                                 DbEntity entity)
                          throws Exception

  Deprecated. since 3.0

  Description copied from class: `JdbcPkGenerator`
  Performs primary key generation ignoring cache. Generates a range of primary keys as specified by "pkCacheSize" bean property.

  This method is called internally from "generatePkForDbEntity" and then generated range of key values is saved in cache for performance. Subclasses that implement different primary key generation solutions should override this method, not "generatePkForDbEntity".

  Overrides:
    `pkFromDatabase` in class `JdbcPkGenerator`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.